> ## Documentation Index
> Fetch the complete documentation index at: https://padelapi.org/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Webhook

> Endpoint to retrieve a specific webhook subscription owned by the authenticated user.



## OpenAPI

````yaml https://padelapi.org/docs/api.json get /webhooks/{webhook}
openapi: 3.1.0
info:
  title: Padel API – API Reference
  version: '1.0'
  description: padelapi.org
servers:
  - url: https://padelapi.org/api
security:
  - http: []
paths:
  /webhooks/{webhook}:
    get:
      tags:
        - Webhook
      summary: Show Webhook
      description: >-
        Endpoint to retrieve a specific webhook subscription owned by the
        authenticated user.
      operationId: getWebhook
      parameters:
        - name: webhook
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: '`WebhookResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookResource'
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    WebhookResource:
      type: object
      properties:
        id:
          type: integer
        self:
          type: string
        url:
          type: string
        events:
          type: array
          items: {}
        secret:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - self
        - url
        - events
        - secret
        - created_at
        - updated_at
      title: WebhookResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````